# Configure a static IP address on the NDIS device
if (-not (ipconfig | Select-String "192.168.55.1")) {
    try {
        $ndisName=Get-NetAdapter | Where-Object {$_.InterfaceDescription -eq "Remote NDIS Compatible Device" -and $_.Status -eq "Up"} | Select-Object -ExpandProperty Name
        New-NetIPAddress -InterfaceAlias $ndisName -IPAddress 192.168.55.100 -PrefixLength 24 -DefaultGateway 192.168.55.1
        Write-Host "Successfully configured static IP address on the NDIS device!"
        exit 0
    } catch {
        Write-Host "Could not configure a static IP address on the NDIS device."
        exit 1
    }
} else {
    Write-Host "Static IP address already configured on the NDIS device."
    exit 0
}
